#
# spec file for package python-backports.functools_lru_cache
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-backports.functools_lru_cache
Version:        1.2.1
Release:        lp151.2.2
Summary:        Backported functools.lru_cache
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/backports.functools_lru_cache
Source:         https://files.pythonhosted.org/packages/source/b/backports.functools_lru_cache/backports.functools_lru_cache-%{version}.tar.gz
BuildRequires:  python
BuildRequires:  python-Sphinx
BuildRequires:  python-pytest
BuildRequires:  python-pytest-runner
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools_scm
# NOTE:
# %{python_sitelib}/backports is a namespace package, and so under python 2 it must have a proper namespace __init__.py
# python-backports provides this __init__.py to prevent backports packages from conflicting.
# Please see:
#    https://pypi.python.org/pypi/backports/
#    https://www.python.org/dev/peps/pep-0420/%23namespace-packages-today
# If you need to link, the python-backports package is built as a subpackage of python-configparser
BuildRequires:  python-backports
Requires:       python-backports
BuildArch:      noarch
Provides:       python2-backports.functools_lru_cache

%description
Backport of functools.lru_cache from Python 3.3 as published at
ActiveState.

%prep
%setup -q -n backports.functools_lru_cache-%{version}

%build
python2 setup.py build
python2 setup.py build_sphinx

%install
python2 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
python2 setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%{python_sitelib}/backports/functools_lru_cache.py*
%{python_sitelib}/backports.functools_lru_cache-*

%changelog
* Fri Mar 31 2017 toddrme2178@gmail.com
-  %%{python_sitelib}/backports is a namespace package, and so under
  python 2.x it must have a proper
  %%{python_sitelib}/backports/__init__.py file.
  python-backports provides this __init__.py to prevent backports
  packages from conflicting.
  Please see the following links for more details:
    https://pypi.python.org/pypi/backports/
    https://www.python.org/dev/peps/pep-0420/%%23namespace-packages-today
* Thu Mar 30 2017 toddrme2178@gmail.com
- Use the common __init__.py used by the python-backports package
  to avoid conflicts.
* Mon Mar  6 2017 jmatejek@suse.com
- provide python2-backports.functools_lru_cache to seamlessly support
  singlespec
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Initial package.
